## zsh-syntax-highlighting 0.4.1

=== Makefile ===
NAME=zsh-syntax-highlighting

INSTALL?=install -c
PREFIX?=/usr/local
SHARE_DIR?=$(DESTDIR)$(PREFIX)/share/$(NAME)
DOC_DIR?=$(DESTDIR)$(PREFIX)/share/doc/$(NAME)
ZSH?=zsh # zsh binary to run tests with

all:
	cd docs && \
	cp highlighters.md all.md && \
	printf '\n\nIndividual highlighters documentation\n=====================================' >> all.md && \
	for doc in highlighters/*.md; do printf '\n\n'; cat "$$doc"; done >> all.md

install: all
	$(INSTALL) -d $(SHARE_DIR)
	$(INSTALL) -d $(DOC_DIR)
	cp .version zsh-syntax-highlighting.zsh $(SHARE_DIR)
	cp COPYING.md README.md changelog.md $(DOC_DIR)
	if [ x"true" = x"`git rev-parse --is-inside-work-tree 2>/dev/null`" ]; then \
		git rev-parse HEAD; \
	else \
		cat .revision-hash; \
	fi > $(SHARE_DIR)/.revision-hash
	:
# The [ -e ] check below is to because sh evaluates this with (the moral
# equivalent of) NONOMATCH in effect, and highlighters/*.zsh has no matches.
	for dirname in highlighters highlighters/*/ ; do \
		$(INSTALL) -d $(SHARE_DIR)/"$$dirname"; \
		for fname in "$$dirname"/*.zsh ; do [ -e "$$fname" ] && cp "$$fname" $(SHARE_DIR)"/$$dirname"; done; \
	done
	cp -R docs/* $(DOC_DIR)

clean:
	rm -f docs/all.md

test:
	@result=0; \
	for test in highlighters/*; do \
		if [ -d $$test/test-data ]; then \
			echo "Running test $${test##*/}"; \
			$(ZSH) -f tests/test-highlighting.zsh "$${test##*/}"; \
			: $$(( result |= $$? )); \
		fi \
	done; \
	exit $$result

perf:
	@result=0; \
	for test in highlighters/*; do \
		if [ -d $$test/test-data ]; then \
			echo "Running test $${test##*/}"; \
			$(ZSH) -f tests/test-perfs.zsh "$${test##*/}"; \
			: $$(( result |= $$? )); \
		fi \
	done; \
	exit $$result

.PHONY: all install clean test perf

=== debian/changelog ===
zsh-syntax-highlighting (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Packaging changes:
    - Declare 'Enhances: zsh'.

 -- Daniel Shahaf <danielsh@apache.org>  Wed, 27 Jan 2016 21:37:11 +0000

zsh-syntax-highlighting (0.4.0-1) unstable; urgency=low

  * Initial release. (Closes: #802758)

 -- Daniel Shahaf <danielsh@apache.org>  Mon, 30 Nov 2015 05:54:11 +0000

=== debian/control ===
Source: zsh-syntax-highlighting
Section: shells
Priority: optional
Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
Uploaders: Daniel Shahaf <danielsh@apache.org>
Build-Depends:
	debhelper (>= 9),
	zsh,
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-zsh/zsh-syntax-highlighting.git/
Vcs-Git: git://anonscm.debian.org/pkg-zsh/zsh-syntax-highlighting.git
Homepage: https://github.com/zsh-users/zsh-syntax-highlighting/

Package: zsh-syntax-highlighting
Architecture: all
Depends: zsh, ${misc:Depends}
Enhances: zsh
Description: Fish shell like syntax highlighting for zsh
 This package provides syntax highlighting for the shell zsh.  It enables
 highlighting of commands whilst they are typed at a zsh prompt into an
 interactive terminal.  This helps in reviewing commands before running
 them, particularly in catching syntax errors.
 .
 This feature is inspired by the Fish shell, which provides it by default.
 .
 There are numerous ways to configure the colors used for highlighting,
 and to configure what is highlighted.

=== debian/rules ===
#!/usr/bin/make -f
NAME=zsh-syntax-highlighting
PREFIX=/usr

# Remove COPYING.md as duplicate of /usr/share/doc/.../copyright
override_dh_auto_install:
	dh_auto_install -- PREFIX=$(PREFIX)
	rm debian/$(NAME)/usr/share/doc/$(NAME)/COPYING.md

# Remove 'changelog.md' which both upstream and debhelper install to different names
override_dh_installchangelogs:
	dh_installchangelogs
	rm debian/$(NAME)/usr/share/doc/$(NAME)/changelog.md

%:
	dh $@

=== debian/watch ===
# 'man uscan' for the format and usage of this file
version=3
opts=filenamemangle=s/.+\/(\d+\.\d+\.\d+)\.tar\.gz/zsh-syntax-highlighting-$1\.tar\.gz/ \
https://github.com/zsh-users/zsh-syntax-highlighting/tags .*/archive/(?:zsh-syntax-highlighting-)?(\d+\.\d+\.\d+)\.tar\.gz

## zsh-syntax-highlighting 0.5.0

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,9 @@
 	done; \
 	exit $$result
 
+quiet-test:
+	$(MAKE) test QUIET=y
+
 perf:
 	@result=0; \
 	for test in highlighters/*; do \

=== debian/changelog ===
zsh-syntax-highlighting (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Packaging changes:
    - Bump Standards-Version to 3.9.8 (no changes needed).
    - d/control: Use secure protocol (https) for Vcs-Git.

 -- Daniel Shahaf <danielsh@apache.org>  Sat, 22 Oct 2016 20:18:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends:
 	debhelper (>= 9),
 	zsh,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-zsh/zsh-syntax-highlighting.git/
-Vcs-Git: git://anonscm.debian.org/pkg-zsh/zsh-syntax-highlighting.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-zsh/zsh-syntax-highlighting.git
 Homepage: https://github.com/zsh-users/zsh-syntax-highlighting/
 
 Package: zsh-syntax-highlighting

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,9 @@
 
 %:
 	dh $@
+
+_origtar: version=$(shell dpkg-parsechangelog -SVersion | sed 's/-[^-]*$$//')
+_origtar:
+	git tag --verify $(version)
+	git archive --format=tar --output=../zsh-syntax-highlighting_$(version).orig.tar --prefix=zsh-syntax-highlighting-$(version)/ $(version)
+	xz -7v ../zsh-syntax-highlighting_$(version).orig.tar

## zsh-syntax-highlighting 0.6.0

=== debian/changelog ===
zsh-syntax-highlighting (0.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Shahaf <danielsh@apache.org>  Wed, 30 Aug 2017 08:02:52 +0000

zsh-syntax-highlighting (0.6.0~rc1-2) experimental; urgency=medium

  * New upstream pre-release.
    - [upstream 2dce602727d7] Aliases in the calling scope are no longer
      expanded.  (Closes: #842994)
  * Packaging changes:
    - Bump Standards-Version to 4.0.0 (no changes needed).

 -- Daniel Shahaf <danielsh@apache.org>  Mon, 31 Jul 2017 23:34:55 +0000

zsh-syntax-highlighting (0.5.0-2) unstable; urgency=low

  * Cherry-pick upstream commit 9523d6d49cb3d4db5bd84c3cec6168a2057fe3ab
    to fix a test suite error on zsh>=5.4~.  (Closes: #872017)

 -- Daniel Shahaf <danielsh@apache.org>  Wed, 16 Aug 2017 01:28:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
 Uploaders: Daniel Shahaf <danielsh@apache.org>
 Build-Depends:
-	debhelper (>= 9),
+	debhelper (>= 10),
 	zsh,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1.0
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-zsh/zsh-syntax-highlighting.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-zsh/zsh-syntax-highlighting.git
 Homepage: https://github.com/zsh-users/zsh-syntax-highlighting/

=== debian/rules ===
#!/usr/bin/make -f
NAME=zsh-syntax-highlighting
PREFIX=/usr

include /usr/share/dpkg/pkg-info.mk

# Remove COPYING.md as duplicate of /usr/share/doc/.../copyright
override_dh_auto_install:
	dh_auto_install -- PREFIX=$(PREFIX)
	rm debian/$(NAME)/usr/share/doc/$(NAME)/COPYING.md

# Remove 'changelog.md' which both upstream and debhelper install to different names
override_dh_installchangelogs:
	dh_installchangelogs
	rm debian/$(NAME)/usr/share/doc/$(NAME)/changelog.md

%:
	dh $@

# The upstream version may be '0.6.0-rc1', in which case the debian version is
# '0.6.0~rc1', and the debian tag 'debian/0.6.0_rc1-1' per DEP-14.
_origtar: upstream_tag=$(shell printf %s $(DEB_VERSION_UPSTREAM) | sed -e 's/[~]/-/')
_origtar:
	git tag --verify $(upstream_tag)
	git archive --format=tar --output=../zsh-syntax-highlighting_$(DEB_VERSION_UPSTREAM).orig.tar --prefix=zsh-syntax-highlighting-$(DEB_VERSION_UPSTREAM)/ $(upstream_tag)
	xz -7v ../zsh-syntax-highlighting_$(DEB_VERSION_UPSTREAM).orig.tar

## zsh-syntax-highlighting 0.7.1

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	$(INSTALL) -d $(DOC_DIR)
 	cp .version zsh-syntax-highlighting.zsh $(SHARE_DIR)
 	cp COPYING.md README.md changelog.md $(DOC_DIR)
+	sed -e '1s/ .*//' -e '/^\[build-status-[a-z]*\]: /d' < README.md > $(DOC_DIR)/README.md
 	if [ x"true" = x"`git rev-parse --is-inside-work-tree 2>/dev/null`" ]; then \
 		git rev-parse HEAD; \
 	else \
@@ -35,6 +36,7 @@
 	rm -f docs/all.md
 
 test:
+	@$(ZSH) -fc 'echo ZSH_PATCHLEVEL=$$ZSH_PATCHLEVEL'
 	@result=0; \
 	for test in highlighters/*; do \
 		if [ -d $$test/test-data ]; then \

=== debian/changelog ===
zsh-syntax-highlighting (0.7.1-2) unstable; urgency=medium

  * No-change source-only upload to allow the package to migrate to testing.
    Closes: #953805

 -- Daniel Shahaf <danielsh@apache.org>  Fri, 13 Mar 2020 18:38:02 +0000

zsh-syntax-highlighting (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Regression: Multiline aliases of the form «alias foo=$'bar;\nbaz'» are now
    highlighted in red when used.  See upstream changelog for details
    (upstream issue #677).

 -- Daniel Shahaf <danielsh@apache.org>  Fri, 28 Feb 2020 21:36:27 +0000

zsh-syntax-highlighting (0.7.0~beta1-1) experimental; urgency=medium

  * New upstream pre-release.
  * Declare compliance with Debian Policy 4.4.1.2. (No changes needed.)
  * Bump debhelper compatibility level to 12.
  * Add autopkgtest support.
  * Add debian/upstream/metadata (DEP-12).

 -- Daniel Shahaf <danielsh@apache.org>  Sun, 12 Jan 2020 00:35:10 +0000

zsh-syntax-highlighting (0.6.0-3) unstable; urgency=medium

  * Team upload to work around upload issues with the previous upload.
  * Declare compliance with Debian Policy 4.1.5. (No changes needed.)
  * Set Rules-Require-Root to "no".
  * Bump debhelper compatibility level to 11, too.

 -- Axel Beckert <abe@debian.org>  Thu, 05 Jul 2018 02:39:17 +0200

zsh-syntax-highlighting (0.6.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1.
    + §4.11: Verifying upstream's tags' signature is currently a todo,
      see debian/watch and lintian output.  (Not a pressing issue since the
      Debian maintainer and the upstream maintainer are currently the same
      person.)
    + §9.2.3: Patch unit test to use /nonexistent.  No functional change.
  * Bump debhelper dependency to 11.3 and rely on new dh_installchangelogs
    deduplication features. Closes: #902526.

 -- Daniel Shahaf <danielsh@apache.org>  Thu, 28 Jun 2018 12:27:23 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
 Uploaders: Daniel Shahaf <danielsh@apache.org>
 Build-Depends:
-	debhelper (>= 10),
+	debhelper-compat (= 12),
 	zsh,
-Standards-Version: 4.0.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-zsh/zsh-syntax-highlighting.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-zsh/zsh-syntax-highlighting.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian/zsh-syntax-highlighting
+Vcs-Git: https://salsa.debian.org/debian/zsh-syntax-highlighting.git
 Homepage: https://github.com/zsh-users/zsh-syntax-highlighting/
+Rules-Requires-Root: no
 
 Package: zsh-syntax-highlighting
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,6 @@
 	dh_auto_install -- PREFIX=$(PREFIX)
 	rm debian/$(NAME)/usr/share/doc/$(NAME)/COPYING.md
 
-# Remove 'changelog.md' which both upstream and debhelper install to different names
-override_dh_installchangelogs:
-	dh_installchangelogs
-	rm debian/$(NAME)/usr/share/doc/$(NAME)/changelog.md
-
 %:
 	dh $@

=== debian/tests/control ===
Test-command: rsync -a /usr/share/zsh-syntax-highlighting/ ./ && make test
Depends: @, rsync

=== debian/watch ===
# 'man uscan' for the format and usage of this file
#
# TODO: Re: lintian warning debian-watch-may-check-gpg-signature
#   Upstream signs tags.  It should be possible to retrieve & verify the
#   signatures on tag objects using the
#   <https://developer.github.com/v3/git/tags/#tag-signature-verification>
#   API, which is currently in beta.
#   .
#   The current (as of 2017) upstream key is already in debian/upstream/signing-key.asc.
version=3
opts=filenamemangle=s/.+\/(\d+\.\d+\.\d+)\.tar\.gz/zsh-syntax-highlighting-$1\.tar\.gz/ \
https://github.com/zsh-users/zsh-syntax-highlighting/tags .*/archive/(?:zsh-syntax-highlighting-)?(\d+\.\d+\.\d+)\.tar\.gz

## zsh-syntax-highlighting 0.8.0

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	for test in highlighters/*; do \
 		if [ -d $$test/test-data ]; then \
 			echo "Running test $${test##*/}"; \
-			$(ZSH) -f tests/test-highlighting.zsh "$${test##*/}"; \
+			env -i QUIET=$$QUIET $${TERM:+"TERM=$$TERM"} $(ZSH) -f tests/test-highlighting.zsh "$${test##*/}"; \
 			: $$(( result |= $$? )); \
 		fi \
 	done; \

=== debian/changelog ===
zsh-syntax-highlighting (0.8.0-2) unstable; urgency=medium

  * No-change source-only upload to allow the package to migrate to testing.
    Closes: #1089668

 -- Daniel Shahaf <danielsh@apache.org>  Mon, 06 Jan 2025 08:59:03 +0000

zsh-syntax-highlighting (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update DEP-12 metadata.
  * Declare compliance with policy v4.7.0.
  * d/watch: Update the search pattern for an upstream change.
  * Track changes to package build infrastructure tools.
  * d/source/lintian-overrides: Silence prefer-uscan-symlink.

 -- Daniel Shahaf <danielsh@apache.org>  Thu, 21 Nov 2024 15:27:42 +0000

zsh-syntax-highlighting (0.8.0~alpha1-pre-redrawhook-1) experimental; urgency=medium

  * New upstream snapshot release.
    + The "memo=" zsh feature, added to zsh in 5.8.0.2-dev and not yet
      released, will be taken advantage of, if available.
  * Bump debhelper compatibility level to 13.
  * Add lintian overrides for checks related to the version number.
  * d/tests/: Fix the spelling of "Test-Command".

 -- Daniel Shahaf <danielsh@apache.org>  Tue, 14 Jul 2020 22:06:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Zsh Maintainers <pkg-zsh-devel@lists.alioth.debian.org>
 Uploaders: Daniel Shahaf <danielsh@apache.org>
 Build-Depends:
-	debhelper-compat (= 12),
+	debhelper-compat (= 13),
 	zsh,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/zsh-syntax-highlighting
 Vcs-Git: https://salsa.debian.org/debian/zsh-syntax-highlighting.git
 Homepage: https://github.com/zsh-users/zsh-syntax-highlighting/

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,7 @@
 	git tag --verify $(upstream_tag)
 	git archive --format=tar --output=../zsh-syntax-highlighting_$(DEB_VERSION_UPSTREAM).orig.tar --prefix=zsh-syntax-highlighting-$(DEB_VERSION_UPSTREAM)/ $(upstream_tag)
 	xz -7v ../zsh-syntax-highlighting_$(DEB_VERSION_UPSTREAM).orig.tar
+
+# Self-document how to create changelog
+_dch:
+	gbp dch --since='@{upstream}' debian

=== debian/tests/control ===
Test-Command: rsync -a /usr/share/zsh-syntax-highlighting/ ./ && make test
Depends: @, rsync

=== debian/watch ===
--- 
+++ 
@@ -7,6 +7,6 @@
 #   API, which is currently in beta.
 #   .
 #   The current (as of 2017) upstream key is already in debian/upstream/signing-key.asc.
-version=3
+version=4
 opts=filenamemangle=s/.+\/(\d+\.\d+\.\d+)\.tar\.gz/zsh-syntax-highlighting-$1\.tar\.gz/ \
-https://github.com/zsh-users/zsh-syntax-highlighting/tags .*/archive/(?:zsh-syntax-highlighting-)?(\d+\.\d+\.\d+)\.tar\.gz
+https://github.com/zsh-users/zsh-syntax-highlighting/tags .*/archive/refs/tags/(?:zsh-syntax-highlighting-)?(\d+\.\d+\.\d+)\.tar\.gz
